<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class JsonController extends Controller
{
    private $jsonPath = 'resources/json/dadossup.json';

    public function index()
    {
        // Carregar o JSON
        $jsonContent = File::get(base_path($this->jsonPath));
        $data = json_decode($jsonContent, true);

        return view('json-editor', compact('data'));
    }

    public function update(Request $request)
    {
        $validated = $request->validate([
            'data' => 'required|array',
        ]);

        // Salvar as alterações no JSON
        $updatedJson = json_encode($validated['data'], JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
        File::put(base_path($this->jsonPath), $updatedJson);

        return redirect()->back()->with('success', 'JSON atualizado com sucesso!');
    }
}