<?php


namespace App\Http\Controllers;

use App\Models\UserPreference;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserPreferenceController extends Controller
{
    // Salvar preferências
    public function store(Request $request)
    {
        $request->validate([
            'show_card' => 'required|boolean',
        ]);

        $preference = UserPreference::updateOrCreate(
            ['user_id' => Auth::id()],
            ['show_card' => $request->show_card]
        );

        return back()->with('success', 'Preferência de exibição atualizada!');
    }

    // Recuperar preferências
    public function getPreference()
    {
        $preference = UserPreference::where('user_id', Auth::id())->first();

        return $preference ? $preference->show_card : true; // Default: exibir o card
    }
}